summaryrefslogtreecommitdiffstats
path: root/libraries/gtkglext
diff options
context:
space:
mode:
author Robby Workman2010-05-12 17:40:51 +0200
committer Michiel van Wessem2010-05-12 17:40:51 +0200
commit86817acae962ce73f73e97f07e604abf1223195e (patch)
treebdeb210e4bcedbbf5a4a539b97cb432a3e5545a1 /libraries/gtkglext
parent4d8909c721498cbca4cb26fdd8fa03bdeb08828a (diff)
downloadslackbuilds-86817acae962ce73f73e97f07e604abf1223195e.tar.gz
libraries/gtkglext: Updated for version 1.2.0
Diffstat (limited to 'libraries/gtkglext')
-rw-r--r--libraries/gtkglext/gtkglext.SlackBuild15
-rw-r--r--libraries/gtkglext/slack-desc18
2 files changed, 25 insertions, 8 deletions
diff --git a/libraries/gtkglext/gtkglext.SlackBuild b/libraries/gtkglext/gtkglext.SlackBuild
index 66f38f6528..132ee8dc40 100644
--- a/libraries/gtkglext/gtkglext.SlackBuild
+++ b/libraries/gtkglext/gtkglext.SlackBuild
@@ -35,8 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -59,16 +64,20 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--disable-static \
--enable-gtk-doc \
- --enable-debug=no
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/gtkglext/slack-desc b/libraries/gtkglext/slack-desc
index bc9808cb22..e419245f63 100644
--- a/libraries/gtkglext/slack-desc
+++ b/libraries/gtkglext/slack-desc
@@ -1,11 +1,19 @@
-gtkglext: GtkGLExt is an OpenGL extension to GTK.
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtkglext: GtkGLExt (an OpenGL extension to GTK)
gtkglext:
gtkglext: This package is composed of GdkGLExt library and GtkGLExt library.
gtkglext: GdkGLExt library provides the GDK objects which support OpenGL
gtkglext: rendering in GTK. GtkGLExt library provides the GtkWidget API
gtkglext: add-ons to make GTK+ widgets OpenGL-capable.
-gtkglext:
+gtkglext:
gtkglext: http://www.k-3d.org/gtkglext/Main_Page
-gtkglext:
-gtkglext:
-gtkglext:
+gtkglext:
+gtkglext:
+gtkglext: